@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;1,300;1,400;1,500;1,600&family=Roboto+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;1,100;1,200;1,300;1,400;1,500;1,600&display=swap');

:root {
    --CorPrincipal: #181840;
    --CorSecundaria: #afafda;
}

::-webkit-scrollbar {
    width: 2px;
    height: 2px;
}

::-webkit-scrollbar-button {
    width: 0px;
    height: 0px;
}

::-webkit-scrollbar-thumb {
    background: #2828af;
    border: 0px none #ffffff;
    border-radius: 50px;
}

::-webkit-scrollbar-thumb:hover {
    background: #7775f0;
}

::-webkit-scrollbar-thumb:active {
    background: #aaa8ff;
}

::-webkit-scrollbar-track {
    background: #ffffff;
    border: 0px none #ffffff;
    border-radius: 50px;
}

::-webkit-scrollbar-track:hover {
    background: #3c3cec;
}

::-webkit-scrollbar-track:active {
    background: #605df8;
}

::-webkit-scrollbar-corner {
    background: transparent;
}


body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto Mono', monospace;
    overflow: hidden;
}

.nav {
    position: absolute;
    z-index: 100;
    height: 100%;
    width: 200px;
    left: 0;
    top: 0;
}

.nav.Disabled {
    pointer-events: none;
}


.nav .navbar {
    background: #0066b3;
    width: 100%;
    height: 100%;
    display: inline-block;
}

.nav .navbar .titulo {
    padding: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 28px;
    font-weight: 600;
    color: white;
    font-family: 'Open Sans', sans-serif;
    background: #095fa0;
    box-shadow: 0px 4px 10px rgb(0 0 0 / 20%)
}

.nav .navbar .subtitulo {
    color: #fff;
    font-size: 10px;
    font-weight: 500;
    margin-top: -13px;
    padding: 0 0 2px 0;
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.nav .navbar .tituloNav {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 25px;
    padding: 0 10px;
    font-size: 14px;
    font-weight: 500;
    font-family: 'Roboto Mono', monospace;
    color: white;
    margin: 5px 0px;
    box-shadow: 0 2px 10px rgb(0 0 0 / 9%);
}

.nav .navbar .ULNavBar {
    overflow: auto;
    max-height: calc(100% - 54px);
}

.nav .navbar .ULNavBar.Actived {
    visibility: visible;
    opacity: 1;
}




.nav .navbar ul {
    padding: 0;
    width: 100%;
    margin: 0px 0 0 0;
}

.nav .navbar .ulPrincipal {
    height: calc(100% - 62px);
    overflow: auto;
}

.nav .navbar ul li {
    background: transparent;
    list-style-type: none;
    margin: 5px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 30px;
    padding: 0 5px;
    color: white;
    font-size: 11px;
    font-weight: 300;
    transition: all 0.4s ease-in-out;
    cursor: pointer;
    border-radius: 4px;
}

.nav .navbar ul li i {
    height: 100%;
}

.nav .navbar ul li .icon {
    padding: 0 8px 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}

.nav .navbar ul li .iconseta {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 100%;
    margin: 0 5px;
}

.nav .navbar ul .navLi {
    background: rgb(0 0 0 / 20%);
    height: auto;
    margin: 0px 5px 5px 5px;
    transition: all 0.4s ease-in-out;
    border-radius: 5px;
}

.nav .navbar ul .navLi.ocultado {
    display: none;
    visibility: hidden;
}


.nav .navbar ul .navLi ul {
    margin: 0;
    padding: 1px 0;
}

.nav .navbar ul .navLi ul li {
    background: transparent;
}

.nav .navbar ul .navLi ul li:hover {
    background: #181840;
}


.subNav {
    position: absolute;
    left: 200px;
    width: calc(100% - 200px);
    height: 48px;
    top: 0;
    z-index: 105;
}

.subNav .subnavbar {
    width: 100%;
    height: 100%;
    background: #0066b3;
    box-shadow: 0 3px 10px rgb(0 0 0 / 30%);
}

.subNav .subnavbar ul {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 100%;
}

.subNav .subnavbar ul li {
    list-style-type: none;
    margin: 0 8px;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.subNav .subnavbar ul  span {
    margin: 0 4px;
    font-size: 11px;
    color: white;
    font-weight: 400;
}

.subNav .subnavbar ul  span.hora {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 80px;
}

.subNav .subnavbar ul  span.hora i{
    font-size: 15px;
}


.subNav .subnavbar ul li i {
    color: white;
    font-size: 15px;
    cursor: pointer;
}


.subNav .subnavbar ul li img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    cursor: pointer;
}

.subNav .subnavbar ul li .icone {
    width: 27px;
    height: 27px;

}

.subNav .subnavbar ul li .icones {
    border-radius: 0;
    width: 28px;
    height: 28px;
}

.subNav .subnavbar ul li .qtdnot {
    background: red;
    position: absolute;
    top: -3px;
    left: 6px;
    border-radius: 50%;
    width: 10px;
    height: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 8px;
    font-weight: 500;
}



.content {
    width: calc(100% - 200px);
    height: calc(100% - 66px);
    position: absolute;
    top: 66px;
    left: 200px;
    z-index: 111;
}

.content .bodyContent {
    width: 100%;
    height: 100%;
    background: #eee5e5;
}

.content .bodyContent .pageBody {
    display: none;
    visibility: hidden;
    width: 100%;
    height: 100%;
}

.content .bodyContent .pageBody[selectedpage] {
    display: block;
    visibility: visible;
}

footer {
    position: absolute;
    z-index: 100;
    bottom: 0;
    width: calc(100% - 200px);
    height: 30px;
    left: 200px;
}

footer .footer {
    background: #eee5e5;
    width: 100%;
    height: 100%;
}

footer .footer ul {
    width: calc(100% - 0px);
    height: 100%;
    margin: 0 8px;
    padding: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    overflow-x: auto;
}

footer .footer ul li {
    border-radius: 4px;
    width: 30px;
    height: 25px;
    max-width: 30px;
    min-width: 25px;
    position: relative;
    list-style-type: none;
    background: #0066b3;
    margin: 0 1px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

footer .footer ul li i {
    font-size: 13px;
    color: white;
}

.subNavListLi {
    position: absolute;
    left: 200px;
    width: calc(100% - 200px);
    height: 18px;
    top: 48px;
    z-index: 110;
}

.subNavListLi .NavListLi {
    background: #0066b3a1;
    width: 100%;
    height: 100%;
}

.subNavListLi .NavListLi ul {
    width: calc(100% - 0px);
    height: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.subNavListLi .NavListLi li {
    transition: all 0.4s ease-in-out;
    list-style-type: none;
    background: white;
    font-size: 13px;
    cursor: pointer;
    color: black;
    position: relative;
    display: flex;
    font-weight: 500;
    width: 100%;
    min-width: 150px;
    border-left: 1px solid #c2c2c2;
    padding: 0 0 0 4px;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #c2c2c2;
}

.subNavListLi .NavListLi li.Active {
    background: #0066b3a1;
}

.subNavListLi .NavListLi li.Active #tituloPage {
    color: white;
}



.subNavListLi .NavListLi li #tituloPage {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.subNavListLi .NavListLi li .closeTab {
    margin: 0 5px 0 5px;
    font-weight: 600;
    color: red;
    padding: 0 3px 0 3px;
}

.lds-ripple {
    z-index: 200;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: none;
}

.lds-ripple.Active {
    display: block;
}


.lds-ripple div {
    position: absolute;
    border: 4px solid #181840;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}

.lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
}

@keyframes lds-ripple {
    0% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 36px;
        left: 36px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 72px;
        height: 72px;
        opacity: 0;
    }
}